### Constructor

# Phosh OsdWindow new

#### Declaration [src]

    GtkWidget*
    phosh_osd_window_new (
      char* connector,
      char* label,
      char* icon_name,
      double level,
      double max_level
    )

#### Description

No description available.

#### Parameters

`connector`

  Type: `char*`

  No description available.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`label`

  Type: `char*`

  No description available.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`icon_name`

  Type: `char*`

  No description available.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`level`

  Type: `double`

  No description available.

`max_level`

  Type: `double`

  No description available.

#### Return value

Type: `GtkWidget`

No description available.

The data is owned by the called function.